/*
 MacCaml Graphic Library: Mac OS Graphic Library for MacCaml running Caml Light.
 Copyright (C) 2004-2016 Jean Mouric 35700 Rennes France
 email: jean.mouric@orange.fr
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

// File MCEvent.h

#import <Cocoa/Cocoa.h>

#define KEYDOWN 1
#define MOUSEDOWN 2
#define MOUSEUP 4
#define MOUSEMOVE 8
#define WINDOWCLOSED 16

typedef struct camlEvent
	{
		int mask;
		int mouse_x;
		int mouse_y;
		int key;
	} camlEvent;

@interface MCEvent: NSObject
{
    int mask;
    int mouse_x;
    int mouse_y;
    int key;
}
-(int) mask;
-(int) mouse_x;
-(int) mouse_y;
-(int) key;
-(void) setMask:(int)mask;
-(void) setMouse_x:(int)mouse_x;
-(void) setMouse_y:(int)mouse_y;
-(void) setKey:(int)key;
@end
